Subject: bug#70929: 30.0.50; eglot--apply-text-edits prevents point adjustment

From: João Távora <[email-masked]>
Date: Wed, 15 May 2024 16:10:24 +0100

On Wed, May 15, 2024 at 1:58 PM Troy Brown <[email-masked]> wrote:
> For another datapoint, lsp-mode behaves the same as Eglot

That's good to know.

> Oddly, the two have
> very similar implementations for applying edits.

Doesn't suprise me that much. I know I wrote mine from scratch ;-) but
the design space for this performing feature isn't infinite.  I've also heard
unconfirmed reports of "inspiration" taken from Eglot, no idea, if here
or elsewhere or true at all.  But if true, I think that's great too.

João